package com.lanyuanxiaoyao.service.configuration.entity.info;

/**
 * table meta 新增实体
 *
 * @author lanyuanxiaoyao
 * @date 2024-01-03
 */
public class TableMetaAdd {
    private Long id;
    private String alias;
    private Long flinkJobId;
    private Long hudiJobId;
    private Long syncYarnJobId;
    private Long compactionYarnJobId;
    private String sourceDatabase;
    private String sourceDatabaseType;
    private String sourceSchema;
    private String sourceTable;
    private String sourcePulsarAddress;
    private String sourceTopic;
    private String targetSchema;
    private String targetTable;
    private String targetHdfs;
    private String filterField;
    private String filterValues;
    private String filterType;
    private Long bucketNumber;

    public TableMetaAdd() {
    }

    public TableMetaAdd(Long id, String alias, Long flinkJobId, Long hudiJobId, Long syncYarnJobId, Long compactionYarnJobId, String sourceDatabase, String sourceDatabaseType, String sourceSchema, String sourceTable, String sourcePulsarAddress, String sourceTopic, String targetSchema, String targetTable, String targetHdfs, String filterField, String filterValues, String filterType, Long bucketNumber) {
        this.id = id;
        this.alias = alias;
        this.flinkJobId = flinkJobId;
        this.hudiJobId = hudiJobId;
        this.syncYarnJobId = syncYarnJobId;
        this.compactionYarnJobId = compactionYarnJobId;
        this.sourceDatabase = sourceDatabase;
        this.sourceDatabaseType = sourceDatabaseType;
        this.sourceSchema = sourceSchema;
        this.sourceTable = sourceTable;
        this.sourcePulsarAddress = sourcePulsarAddress;
        this.sourceTopic = sourceTopic;
        this.targetSchema = targetSchema;
        this.targetTable = targetTable;
        this.targetHdfs = targetHdfs;
        this.filterField = filterField;
        this.filterValues = filterValues;
        this.filterType = filterType;
        this.bucketNumber = bucketNumber;
    }

    public Long getId() {
        return id;
    }

    public String getAlias() {
        return alias;
    }

    public Long getFlinkJobId() {
        return flinkJobId;
    }

    public Long getHudiJobId() {
        return hudiJobId;
    }

    public Long getSyncYarnJobId() {
        return syncYarnJobId;
    }

    public Long getCompactionYarnJobId() {
        return compactionYarnJobId;
    }

    public String getSourceDatabase() {
        return sourceDatabase;
    }

    public String getSourceDatabaseType() {
        return sourceDatabaseType;
    }

    public String getSourceSchema() {
        return sourceSchema;
    }

    public String getSourceTable() {
        return sourceTable;
    }

    public String getSourcePulsarAddress() {
        return sourcePulsarAddress;
    }

    public String getSourceTopic() {
        return sourceTopic;
    }

    public String getTargetSchema() {
        return targetSchema;
    }

    public String getTargetTable() {
        return targetTable;
    }

    public String getTargetHdfs() {
        return targetHdfs;
    }

    public String getFilterField() {
        return filterField;
    }

    public String getFilterValues() {
        return filterValues;
    }

    public String getFilterType() {
        return filterType;
    }

    public Long getBucketNumber() {
        return bucketNumber;
    }

    @Override
    public String toString() {
        return "TableMetaAdd{" +
               "id=" + id +
               ", alias='" + alias + '\'' +
               ", flinkJobId=" + flinkJobId +
               ", hudiJobId=" + hudiJobId +
               ", syncYarnJobId=" + syncYarnJobId +
               ", compactionYarnJobId=" + compactionYarnJobId +
               ", sourceDatabase='" + sourceDatabase + '\'' +
               ", sourceDatabaseType='" + sourceDatabaseType + '\'' +
               ", sourceSchema='" + sourceSchema + '\'' +
               ", sourceTable='" + sourceTable + '\'' +
               ", sourcePulsarAddress='" + sourcePulsarAddress + '\'' +
               ", sourceTopic='" + sourceTopic + '\'' +
               ", targetSchema='" + targetSchema + '\'' +
               ", targetTable='" + targetTable + '\'' +
               ", targetHdfs='" + targetHdfs + '\'' +
               ", filterField='" + filterField + '\'' +
               ", filterValues='" + filterValues + '\'' +
               ", filterType='" + filterType + '\'' +
               ", bucketNumber=" + bucketNumber +
               '}';
    }
}
